package com.gic.haoban.manage.api.service.chat;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.ChatOwnerTotalDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatPlanDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatPlanLogDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatPlanOwnerLogDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatPlanSearchQDTO;

/**
 * 
* @ClassName: GroupChatPlanApiService
* @Description: 群群发
* @author xugh
* @date 2022年12月1日 下午10:58:07
*
 */
public interface GroupChatPlanApiService {

    // 群发列表
    public ServiceResponse<Page<GroupChatPlanDTO>> listPage(GroupChatPlanSearchQDTO qdto, BasePageInfo basePageInfo);

    // 群发详情
    public ServiceResponse<GroupChatPlanDTO> detail(Long planId);

    // 保存/更新
    public ServiceResponse<GroupChatPlanDTO> save(GroupChatPlanDTO dto);
    
    // 更新备注
    public ServiceResponse<GroupChatPlanDTO> updateRemark(GroupChatPlanDTO dto);

    /**
     * 
    * @Title: doPlanTimer
    * @Description: 定时执行计划
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> doPlanTimer(String params);
    
    public ServiceResponse<Void> doPlanSendInfoTimer(String params) ;
    
    public ServiceResponse<Void> reflushSendInfo(Long ownerLogId) ;

    public ServiceResponse<Page<GroupChatPlanOwnerLogDTO>> listOwnerLogPage(Long planId, GroupChatPlanSearchQDTO qdto,
            BasePageInfo basePageInfo);

    public ServiceResponse<Page<GroupChatPlanOwnerLogDTO>> listOwnerLogPageForWxa(GroupChatPlanSearchQDTO qdto,
            BasePageInfo basePageInfo);

    public ServiceResponse<Page<ChatOwnerTotalDTO>> listOwnerLogPageForWxaTotal(GroupChatPlanSearchQDTO qdto,
            BasePageInfo basePageInfo);

    public ServiceResponse<Page<GroupChatPlanLogDTO>> listLogPage(Long planId, GroupChatPlanSearchQDTO qdto,
            BasePageInfo basePageInfo);

    public ServiceResponse<Void> del(String clerkId, String clerkName, Long planId);

    public ServiceResponse<Void> stop(String clerkId, String clerkName, Long planId);
}
